Create Listing: Knock
POST
https://api.propexo.com/crm/v1/listings/knockAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
community_idstringrequired
The Propexo unique identifier for the community
titlestringrequired
The title associated with the listing
urlstringrequired
The url of the Craigslist listing. Must end with .html
publish_datestring<date-time>required
The date the listing was published
is_listedbooleanrequired
Whether the listing is listed
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
community_idstringrequired
The Propexo unique identifier for the community
titlestringrequired
The title associated with the listing
urlstringrequired
The url of the Craigslist listing. Must end with .html
publish_datestring<date-time>required
The date the listing was published
is_listedbooleanrequired
Whether the listing is listed
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/listings/knock
curl -X POST https://api.propexo.com/crm/v1/listings/knock \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"title": "string",
"url": "string",
"publish_date": "2024-07-29T15:51:28.071Z",
"is_listed": true
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"title": "string",
"url": "string",
"publish_date": "2024-07-29T15:51:28.071Z",
"is_listed": true
}
}